function timeFormat(dateRoTimestamp: any, fmt: string = 'yyyy/MM/dd hh:mm:ss'): string {
    let date: any = {};
    if (typeof dateRoTimestamp === 'object' && dateRoTimestamp.constructor === Date) {
        date = dateRoTimestamp;
    } else {
        date = new Date(dateRoTimestamp ? ( parseInt(dateRoTimestamp, undefined) * 1000 ) : new Date().getTime());
    }

    const o: any = {
        'M+': date.getMonth() + 1, // 月份
        'd+': date.getDate(), // 日
        'h+': date.getHours(), // 小时
        'm+': date.getMinutes(), // 分
        's+': date.getSeconds(), // 秒
        'q+': Math.floor((date.getMonth() + 3) / 3), // 季度
        'S': date.getMilliseconds(), // 毫秒
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (const k in o) {
        if (new RegExp('(' + k + ')').test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ?
             (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)));
        }
    }
    return fmt;
}
export default {
    timeFormat,
};
